# image.c File Reference

## Functions
unsigned int | tocolor (lua_State *L, int a)
static void | imagetoimage (int sx, int sy, int width, int height, OSL_IMAGE *source, int dx, int dy, OSL_IMAGE *destination)
| UserdataStubs (Image, OSL_IMAGE *)
static int | Image_blit (lua_State *L)
static int | Image_createEmpty (lua_State *L)
static int | Image_loadfrommemory (lua_State *L)
static void | fillImageRect (Color color, int x0, int y0, int width, int height, OSL_IMAGE *image)
static int | Image_fillRect (lua_State *L)
static int | Image_unswizzle (lua_State *L)
static int | Image_swizzle (lua_State *L)
static int | Image_drawLine (lua_State *L)
static int | Image_pixel (lua_State *L)
static int | Image_resize (lua_State *L)
static int | Image_rotate (lua_State *L)
static int | Image_reset (lua_State *L)
static int | Image_center (lua_State *L)
static int | Image_width (lua_State *L)
static int | Image_height (lua_State *L)
static int | Image_clear (lua_State *L)
static int | Image_getpixel (lua_State *L)
static int | Image_creatsprite (lua_State *L)
static int | Image_free (lua_State *L)
static int | Image_tovram (lua_State *L)
static int | Image_toram (lua_State *L)
static int | Image_save (lua_State *L)
| UserdataRegister (Image, Image_methods, Image_meta)
## Variables
static const luaL_reg | Image_methods []
static const luaL_reg | Image_meta []

## Function Documentation

static void fillImageRect | ( | Color | color,
|  | int | x0,
|  | int | y0,
|  | int | width,
|  | int | height,
|  | OSL_IMAGE * | image |
| ) |  |  | `[static]`

static int Image_blit | ( | lua_State * | L | ) | `[static]`

static int Image_center | ( | lua_State * | L | ) | `[static]`

static int Image_clear | ( | lua_State * | L | ) | `[static]`

static int Image_createEmpty | ( | lua_State * | L | ) | `[static]`

static int Image_creatsprite | ( | lua_State * | L | ) | `[static]`

static int Image_drawLine | ( | lua_State * | L | ) | `[static]`

static int Image_fillRect | ( | lua_State * | L | ) | `[static]`

static int Image_free | ( | lua_State * | L | ) | `[static]`

static int Image_getpixel | ( | lua_State * | L | ) | `[static]`

static int Image_height | ( | lua_State * | L | ) | `[static]`

static int Image_loadfrommemory | ( | lua_State * | L | ) | `[static]`

static int Image_pixel | ( | lua_State * | L | ) | `[static]`

static int Image_reset | ( | lua_State * | L | ) | `[static]`

static int Image_resize | ( | lua_State * | L | ) | `[static]`

static int Image_rotate | ( | lua_State * | L | ) | `[static]`

static int Image_save | ( | lua_State * | L | ) | `[static]`

static int Image_swizzle | ( | lua_State * | L | ) | `[static]`

static int Image_toram | ( | lua_State * | L | ) | `[static]`

static int Image_tovram | ( | lua_State * | L | ) | `[static]`

static int Image_unswizzle | ( | lua_State * | L | ) | `[static]`

static int Image_width | ( | lua_State * | L | ) | `[static]`

static void imagetoimage | ( | int | sx,
|  | int | sy,
|  | int | width,
|  | int | height,
|  | OSL_IMAGE * | source,
|  | int | dx,
|  | int | dy,
|  | OSL_IMAGE * | destination |
| ) |  |  | `[static]`

unsigned int tocolor | ( | lua_State * | L,
|  | int | a |
| ) |  |  |

UserdataRegister | ( | Image | ,
|  | Image_methods | ,
|  | Image_meta |  |
| ) |  |  |

UserdataStubs | ( | Image | ,
|  | OSL_IMAGE * |  |
| ) |  |  |

## Variable Documentation

const luaL_reg Image_meta[]`[static]`

Initial value:

     {
            {"__gc", Image_free},
            {0,0}
    }

const luaL_reg Image_methods[]`[static]`

Initial value:

     {
            {"load", Image_load},
            {"createEmpty", Image_createEmpty},
            {"blit", Image_blit},
            {"fillRect", Image_fillRect},
            {"drawLine", Image_drawLine},
            {"setPixel", Image_pixel},
            {"getPixel", Image_getpixel},
            {"width", Image_width},
            {"height", Image_height},
            {"resize", Image_resize},
            {"rotate", Image_rotate},
            {"center", Image_center},
            {"reset", Image_reset},
            {"clear", Image_clear},
            {"loadFromMemory", Image_loadfrommemory},
            {"free", Image_free},
            {"creatsprite", Image_creatsprite},
            {"unswizzle", Image_unswizzle},
            {"swizzle", Image_swizzle},
            {"toVRam", Image_tovram},
            {"toRam", Image_toram},
            {"save", Image_save},
            {0,0}
    }